Name: gtkguitune
Summary: Linux program for tuning guitars
Version: 0.8
Release: %mkrel 7
Source0: http://www.geocities.com/harpin_floh/mysoft/%{name}-gtk2-%{version}.tar.gz
License: GPLv2+
Group: Sound/Utilities
Url: http://www.geocities.com/harpin_floh/kguitune_page.html
BuildRequires: gtkmm2.4-devel
Requires: aoss

%description
Guitune is a linux program for tuning guitars and other instruments
by using the method of Schmitt-triggering, i.e.
counting the number of triggerings between two trigger levels
in a certain amount of time.
Why not use FFT like many other tuning devices?
Well because other tuning devices are not as fast as mine !!

With FFT you need many samples to archieve the accuracy needed for tuning
instruments. You often get times of around 1 second between two measurements
and the computer is quite busy in this second calculating the FFT. Using
Schmitt-triggering you get a measurement every 10th of a second or even less
(depending on the sample frequency you use). Most of the time the computer
only waits for the samples.

The Trigger levels are adjustable. For a pure sine-wave the trigger levels
could be zero. But for a wave wth overtones like the one in the figure above
you need a non-zero triggerlevel. It is preadjusted to a level of 60% of the
current maximum which should be able to deal with most instruments.

%prep
%setup -q -n %name

%build
%configure2_5x

%install
%makeinstall_std
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%name.desktop << EOF
[Desktop Entry]
Name=gtkGuitune
Version=1.0
Type=Application
Categories=AudioVideo;GTK;Audio;
Comment=Tune your Guitar
TryExec=gtkguitune
Exec=aoss gtkguitune
Icon=guitune_logo
EOF


%files
%doc AUTHORS NEWS README
%{_bindir}/gtkguitune
%_datadir/icons/hicolor/scalable/apps/guitune_logo.svg
%_datadir/applications/%{_real_vendor}-%name.desktop



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.8-7.mga3
+ Revision: 352881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 0.8-6.mga3
+ Revision: 321916
- fix icon path and use aoss

* Sun Nov 25 2012 zezinho <zezinho> 0.8-5.mga3
+ Revision: 321856
- fix rpm group

* Sat Jul 30 2011 stormi <stormi> 0.8-4.mga2
+ Revision: 130506
- clean spec file

  + zezinho <zezinho>
    - imported package gtkguitune

